# Installazione su computer

I programmi da installare per i diversi OS sono qui:

- [Windows](http://download.mumble.com/en/mumble-1.3.0.msi)
- [Mac OSX](http://download.mumble.com/en/mumble-1.3.0.dmg)

Se hai linux è tutto più facile, basta utilizzare il programma che usi solitamente per installare altri programmi,
potrebbe chiamarsi __Software Center__ o qualcosa del genere.

Per usare la versione su Mac OSX devi fare un po' di macelli ad abilitare l'applicazione nelle impostazioni.
Se pazienti qualche giorno caricheremo la guida anche per gli amici di Steve Jobs, ma dovresti cavartela con qualche mannaggia e qualche bestemmia.


!!! info "Info"
    Consigli utili per l'installazione di **Mumble** sono disponibili anche [qui](https://wiki.mumble.info/wiki/Mumbleguide/English) e [qui](https://www.mumble.com/mumble-server-support.php).

### Configurazione

Incominciamo il nostro breve viaggio per sistemare il tuo aggeggio a modino.

[![pc](./thumbs/wizard-1.png){: .img }](./wizard-1.png){: data-fslightbox="gallery" } 

Ora, segui le indicazioni del wizard per regolare i dispositivi (microfono e cuffie) affinché funzionino correttamente. Devi assicurarti di sentire bene in cuffia quello che dici al microfono, se non funziona prova le varie opzioni dei menu a tendina Input/Output a partire da **Device** e poi **System**.

[![pc](./thumbs/wizard-2.png){: .img }](./wizard-2.png){: data-fslightbox="gallery" } 

Fai quello che ti chiede! In particolare guarda nelle impostazioni audio del tuo pc che il microfono sia al massimo volume.

[![pc](./thumbs/wizard-3.png){: .img }](./wizard-3.png){: data-fslightbox="gallery" } 

**IMPORTANTE**: Devi selezionare l'opzione **push-to-talk** (premi per parlare) ed inserire i tasti che vuoi usare per parlare. Ti consigliamo **CTRL+SHIFT**. Se non sai di quali tasti stiamo parlando l'immagine sotto ti chiarirà le idee!
Devi premerli entrambi contemporaneamente, è semplice!

[![pc](./thumbs/wizard-4.png){: .img }](./wizard-4.png){: data-fslightbox="gallery" } 
[![tastiera](./thumbs/tastiera.png){: .img }](./tastiera.png){: data-fslightbox="gallery" } 

Dalle immagini che seguono puoi riprendere le configurazioni di esempio consigliate.

[![pc](./thumbs/wizard-5.png){: .img }](./wizard-5.png){: data-fslightbox="gallery" } 
[![pc](./thumbs/wizard-6.png){: .img }](./wizard-6.png){: data-fslightbox="gallery" } 
[![pc](./thumbs/wizard-7.png){: .img }](./wizard-7.png){: data-fslightbox="gallery" } 

Ok, Ci siamo quasi! Accetta la creazione automatica del certificato.

[![pc](./thumbs/wizard-8.png){: .img }](./wizard-8.png){: data-fslightbox="gallery" } 

È arrivato il momento di collegarsi ad un server **Mumble**. Come vedi ci sono molti server sparsi per il mondo. Clicca su "Add New...".

[![pc](./thumbs/pc-1.png){: .img }](./pc-1.png){: data-fslightbox="gallery" } 


Aggiungiamo il server che andremo ad usare, il nostro si chiama **farma.cisti.org**.

[![pc](./thumbs/pc-2.png){: .img }](./pc-2.png){: data-fslightbox="gallery" } 

Collegati al server.

[![pc](./thumbs/pc-3.png){: .img }](./pc-3.png){: data-fslightbox="gallery" } 

Ora che sei entrato nel server devi ancora accedere al canale riservato all'assemblea alla quale devi partecipare, per esempio **_supporto**.
Scorri la lista dei canali fino a che non trovi quello giusto.

Ti basta fare **tasto destro del mouse** su **_supporto** e scegliere **join channel**.

[![pc](./thumbs/pc-5.png){: .img }](./pc-5.png){: data-fslightbox="gallery" } 

### Utilizzo

Puoi usare la chat per prenotare un intervento o condividere link. Puoi usarla anche per scrivere commenti sull’intervento che stai ascoltando. La chat la leggono tutti.
Se vuoi inviare un messaggio dalla chat ad una persona specifica fai clic col tasto destro del mouse sul nome del destinatario e seleziona “invia messaggio”. Se invece lo vuoi inviare a tutti i presenti nel canale fai come prima ma sul nome del canale.

Per abilitare il push-to-talk, quindi per parlare, devi schiacciare (e tenere premuti) i pulsanti CTRL-SHIFT per tutta la durata del tuo intervento. Se non sai che pulsanti sono, guarda l'immagine qua sotto.

[![tastiera](./thumbs/tastiera.png){: .img }](./tastiera.png){: data-fslightbox="gallery" } 

!!! info  "Suggerimento"
    Puoi personalizzare e migliorare il tuo utilizzo di mumble utilizzando il menu **configurazioni**.  
    Accedendo alla voce **audio wizard** (o procedura guidata audio) potrai accedere ad una guida assistita per migliorare le configurazioni del suono in modo da adattarle al tuo microfono
    Invece in **impostazioni** puoi cambiare un sacco di parametri, magari scegliendo dei pulsanti per te più comodi, per attivare il push-to-talk.

## Interfaccia Web

L'interfaccia web è facile, ma non funziona bene come il programma per pc o smartphone, usala solo se le precedenti non hanno funzionato!

Utilizza una versione aggiornata del tuo browser preferito. Ti consigliamo firefox perché è basato su software libero. In alternativa (se proprio non hai firefox e non lo vuoi scaricare) puoi usare chrome.

Per usare **Mumble** da web ti basta visitare ad esempio [questo
link](https://farma.cisti.org/) o [questo](https://farma.cisti.org/?channelName=/_supporto) che ti connette direttamente al canale (è solo un esempio) **_supporto**.

Ti verrà chiesto di concedere i permessi al browser di usare il microfono e di inserire il tuo nome o nickname.

[![web](./thumbs/web-1.png){: .img }](./web-1.png){: data-fslightbox="gallery" } 

Come vedi sei già dentro il canale, forse stai già sentendo qualcun parlare! O forse no perché ci sei solo tu :)

[![web](./thumbs/web-2.png){: .img }](./web-2.png){: data-fslightbox="gallery" } 

Per abilitare il push-to-talk, quindi per parlare, devi schiacciare (e tenere premuti) i pulsanti CTRL-SHIFT. Se non sai che pulsanti sono, guarda l'immagine qua sotto.

[![tastiera](./thumbs/tastiera.png){: .img }](./tastiera.png){: data-fslightbox="gallery" } 

That's all!

