# Installazione su smartphone

I client **Mumble** sono disponibili per le principali piattaforme di telefonia mobile.

## Android

**Plumble** è l’applicazione (non ufficiale) per Android ma funziona bene e quindi… sticazzi.

Ha alcune funzionalità aggiuntive oltre a quelle di **Mumble**, come il supporto per cuffie bluetooth ed il supporto hardware push-to-talk (che raccomandiamo a tutti di impostare come opzione di default).

Puoi scaricarlo da [Google Play](https://play.google.com/store/apps/details?id=com.morlunk.mumbleclient.free) o [F-Droid](https://f-droid.org/repository/browse/?fdid=com.morlunk.mumbleclient).


## iOS (iPhone, iPad e iPod touch)

L’app Mumble per iOS è scaricabile dall'[App Store](https://itunes.apple.com/us/app/mumble/id443472808?mt=8).


## Configurazione

Le immagini di questa guida sono quelle dell’applicazione per Android che sicuramente è l’OS più diffuso sugli smartcosi. L’app per iOS ha delle schermate leggermente differenti, ma ha le stesse funzioni, quindi non dovrebbe essere poi tanto complicato seguire i prossimi passaggi. Appena riusciremo a mettere le nostre manacce su un iPhone aggiorneremo la guida.

Partendo dalla schermata iniziale clicca sul tasto “**+**” per aggiungere le informazioni per la connessione al server.

[![mobile](./thumbs/pic00.png){: .img }](./pic00.png){: data-fslightbox="gallery" } 

- In **Label** (Etichetta) scrivi il nome che vuoi dare al server (es. Cisti).
- In **Address** (Indirizzo) scrivi il link che hai ricevuto con la convocazione dell’assemblea (es. farma.cisti.org).
- In **Username** (Nome Utente) scrivi il nome o nickname con cui vuoi registrarti, cioè quello che gli altri vedranno quando accederai al server.
- In **Password** scrivi la password che ti è stata comunicata. Se non è stata impostata da chi ha aperto il canale e non ti è stata comunicata, vuol dire che non è necessaria.
- Terminate queste operazioni, premi su **ADD** (**AGG**).

[![mobile](./thumbs/pic01.png){: .img }](./pic01.png){: data-fslightbox="gallery" } 

Una cosa da fare subito è **disabilitare il text-to-speech**. Se non lo fai, una vocina robotica fastidiosissima ti urlerà nelle orecchie ogni volta che qualcuno (te compreso) scriverà qualcosa sulla chat del canale.
Per disabilitare questa funzione clicca sulle tre lineette orizzontali.

[![mobile](./thumbs/pic02.png){: .img }](./pic02.png){: data-fslightbox="gallery" } 

seleziona la voce “Impostazioni”, poi “Generale” e **togli il segno di spunta**, se presente, in corrispondenza delle voci: “Text-to-Speech” e “Short Text-to-Speech messages”.

[![mobile](./thumbs/pic03.png){: .img }](./pic03.png){: data-fslightbox="gallery" } 
[![mobile](./thumbs/pic04.png){: .img }](./pic04.png){: data-fslightbox="gallery" } 
[![mobile](./thumbs/pic05.png){: .img }](./pic05.png){: data-fslightbox="gallery" } 

A questo punto, per terminare la configurazione ed abilitare il **push-to-talk**, devi collegarti ad un server.

Quando ti connetti ad un server entri praticamente nella root del servizio. La root è uno spazio comune, il posto dove tutte le persone di quel server transitano prima di entrare nelle stanze (ce ne possono essere decine o anche di più) dove si tengono le loro assemblee, un po' come la hall di un hotel dove la gente passa per recarsi nella propria stanza.  
Quindi, quando entri potresti vedere altri nomi di utenti vicini al tuo ma sono tutti, normalmente, solo di passaggio oppure è qualcuno che non sa dove andare.<br>Per collegarti al server, torna alla schermata principale e premi sul rettangolo corrispondente al server a cui ti vuoi collegare es. farma.cisti.org.


[![mobile](./thumbs/pic06.png){: .img }](./pic06.png){: data-fslightbox="gallery" } 

Probabilmente vedrai una lunga lista di nomi, che possono essere nomi di città, di canali e di utenti, ma non ti agitare, stai scialla, per ora fai finta che non ci siano.

Il "Push-to-talk" (premere per parlare) è una funzione che facilita molto lo svolgimento delle chiacchiere.
In pratica, vuol dire che il microfono è sempre disattivo e si attiva solo alla pressione di un magico tasto.
L’impostazione di questa funzione è richiesta praticamente su tutti i canali quindi meglio impostarla subito per evitare di far sentire a tutti i tuoi rantoli, i sospiri o le peggio cose che fai quando nessuno ti vede.

Per attivarla, clicca sui tre puntini, seleziona la voce “__Transmit Mode__”, poi seleziona “__Push to Talk__”. AutoMagicamente, vedrai comparire in basso il pulsantone che dovrai premere per parlare.


[![mobile](./thumbs/pic07.png){: .img }](./pic07.png){: data-fslightbox="gallery" } 
[![mobile](./thumbs/pic08.png){: .img }](./pic08.png){: data-fslightbox="gallery" } 
[![mobile](./thumbs/pic09.png){: .img }](./pic09.png){: data-fslightbox="gallery" } 

Ora sei pronto ad entrare nel canale dove si tiene la tua chiacchiera o la tua assemblea.

## Utilizzo

Scorri la lista dei canali, trova il nome del canale dove si tiene la tua assemblea (ad es. "_supporto") quindi clicca sui tre puntini accanto al nome del canale che hai scelto. 

[![mobile](./thumbs/pic10.png){: .img }](./pic10.png){: data-fslightbox="gallery" } 

Si aprirà una lista con tre opzioni. Tu clicca su “Join”.

[![mobile](./thumbs/pic11.png){: .img }](./pic11.png){: data-fslightbox="gallery" } 

Se l'app che hai installato (probabilmente dal PlayStore di Google) non ti mostra i tre puntini a destra del nome del canale, utilizza questo metodo:

Clicca sul nome del canale in cui vuoi entrare, in alto comparirà il nome del canale selezionato impostato come "target", clicca ora sulla freccia in alto a destra.

[![mobile](./thumbs/pic15.png){: .img }](./pic15.png){: data-fslightbox="gallery" } 

Vedrai il tuo nome comparire dentro il canale.

[![mobile](./thumbs/pic12.png){: .img }](./pic12.png){: data-fslightbox="gallery" } 

Premi il pulsantone “**Push to Talk**” quando vuoi parlare. **Lo devi tenere premuto per tutto il tempo del tuo intervento** e lasciarlo quando hai terminato.

## La Chat

Se fai scorrere l'interfaccia touch screen, da destra verso sinistra, puoi interagire sulla chat associata al canale.

[![mobile](./thumbs/pic13.png){: .img }](./pic13.png){: data-fslightbox="gallery" } 

La chat è molto comoda per condividere link e prenotarsi per parlare.

[![mobile](./thumbs/pic14.png){: .img }](./pic14.png){: data-fslightbox="gallery" } 

That's all!


